Package com.ngrok.services

# Class ReservedAddrs

java.lang.Object
com.ngrok.services.ReservedAddrs

public class ReservedAddrs extends Object
Reserved Addresses are TCP addresses that can be used to listen for traffic. TCP address hostnames and ports are assigned by ngrok, they cannot be chosen. See also https://ngrok.com/docs/api#api-reserved-addrs.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ReservedAddrs.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `ReservedAddrs.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `ReservedAddrs.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `ReservedAddrs.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `ReservedAddrs.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservedAddrs(NgrokApiClient apiClient)`
  Creates a new sub-client for ReservedAddrs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReservedAddrs.CreateCallBuilder`
  `create()`
  Create a new reserved address.
  `ReservedAddrs.DeleteCallBuilder`
  `delete(String id)`
  Delete a reserved address.
  `ReservedAddrs.GetCallBuilder`
  `get(String id)`
  Get the details of a reserved address.
  `ReservedAddrs.ListCallBuilder`
  `list()`
  List all reserved addresses on this account.
  `ReservedAddrs.UpdateCallBuilder`
  `update(String id)`
  Update the attributes of a reserved address.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservedAddrs

    public ReservedAddrs(NgrokApiClient apiClient)
    Creates a new sub-client for ReservedAddrs.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public ReservedAddrs.CreateCallBuilder create()
    Create a new reserved address. See also https://ngrok.com/docs/api#api-reserved-addrs-create.
    Returns:
      a call builder for this API call

  - ### delete

    public ReservedAddrs.DeleteCallBuilder delete(String id)
    Delete a reserved address. See also https://ngrok.com/docs/api#api-reserved-addrs-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public ReservedAddrs.GetCallBuilder get(String id)
    Get the details of a reserved address. See also https://ngrok.com/docs/api#api-reserved-addrs-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public ReservedAddrs.ListCallBuilder list()
    List all reserved addresses on this account. See also https://ngrok.com/docs/api#api-reserved-addrs-list.
    Returns:
      a call builder for this API call

  - ### update

    public ReservedAddrs.UpdateCallBuilder update(String id)
    Update the attributes of a reserved address. See also https://ngrok.com/docs/api#api-reserved-addrs-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call